<?php

namespace App\Enums;

enum AccidentStates: int
{
    case BEDON_EGHDAM= 0;
    case SODOR_NAME_BIME_VA_DAGHI = 1;
    case SABT_FISH = 2;

    case SODOR_FACTOR = 3;
    case PARDAKHT_FACTOR = 4;
    case SODOR_NAME_POLICE_RAH = 5;

    public static function name(int $state): string
    {
        $mapArray = [
            0 => "بدون اقدام",
            1 => "صدور نامه بیمه و کارشناسی داغی",
            2 => "فیش ها ثبت شده است.",
            3 => "فاکتور صادر شده است.",
            4 => "فاکتور پرداخت شده است",
            5 => "نامه پلیس راه صادر شده است (اتمام فرایند)",
        ];

        return $mapArray[$state];
    }
}